# Class SnpEffPredictorFactoryRand

java.lang.Object
org.snpeff.snpEffect.factory.SnpEffPredictorFactory
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGff
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryRand

public class SnpEffPredictorFactoryRand extends SnpEffPredictorFactoryGff
This class creates a random set of chromosomes, genes, transcripts and exons

Author:
  pcingola

## Field Summary

### Fields inherited from class SnpEffPredictorFactoryGff

`FASTA_DELIMITER`

### Fields inherited from class SnpEffPredictorFactory

`MARK, MIN_TOTAL_FRAME_COUNT`

## Constructor Summary

Constructors
Constructor
Description
`SnpEffPredictorFactoryRand(Config config, Random random, int maxGeneLen, int maxTranscripts, int maxExons)`

## Method Summary

Modifier and Type
Method
Description
`SnpEffectPredictor`
`create()`
`Chromosome`
`getChromo()`
`String`
`getChromoSequence()`
`protected boolean`
`parse(String line)`
Parse a line
`void`
`setAddUtrs(boolean addUtrs)`
`void`
`setChromo(Chromosome chromo)`
`void`
`setForceNegativeStrand(boolean forceNegativeStrand)`
`void`
`setForcePositiveStrand(boolean forcePositive)`
`void`
`setMinExons(int minExons)`
`void`
`setNumGenes(int numGenes)`

### Methods inherited from class SnpEffPredictorFactoryGff

`addExon, addExons, addGene, addGene, addIntergenicConserved, addInterval, addIntronConserved, addUtr3, addUtr5, findOrCreateExon, findOrCreateGene, findOrCreateTranscript, readExonSequences, readExonSequencesGff, readGff`

### Methods inherited from class SnpEffPredictorFactory

`add, add, add, add, add, add, addMarker, addSequences, adjustChromosomes, adjustTranscripts, beforeExonSequences, codingFromCds, collapseZeroLenIntrons, createRandSequences, deleteRedundant, exonsFromCds, exonsFromCds, findGene, findGene, findMarker, findTranscript, findTranscript, getOrCreateChromosome, getProteinByTrId, parsePosition, replaceTranscript, setCircularCorrectLargeGap, setCreateRandSequences, setDebug, setFastaFile, setFileName, setRandom, setReadSequences, setStoreSequences, setVerbose, showChromoNamesDifferences`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnpEffPredictorFactoryRand

public SnpEffPredictorFactoryRand(Config config, Random random, int maxGeneLen, int maxTranscripts, int maxExons)

## Method Details

### create

public SnpEffectPredictor create()

Overrides:
  `create` in class `SnpEffPredictorFactoryGff`

### getChromo

public Chromosome getChromo()

### getChromoSequence

public String getChromoSequence()

### parse

protected boolean parse(String line)
Description copied from class: `SnpEffPredictorFactoryGff`
Parse a line

Overrides:
  `parse` in class `SnpEffPredictorFactoryGff`
Returns:
  true if a line was parsed

### setAddUtrs

public void setAddUtrs(boolean addUtrs)

### setChromo

public void setChromo(Chromosome chromo)

### setForceNegativeStrand

public void setForceNegativeStrand(boolean forceNegativeStrand)

### setForcePositiveStrand

public void setForcePositiveStrand(boolean forcePositive)

### setMinExons

public void setMinExons(int minExons)

### setNumGenes

public void setNumGenes(int numGenes)